local function CreateDevice ()
    local _core = require("core")

    local gateway_id = _core.get_gateway().id
    local device_id = _core.add_device {
        name = "HTTP Manager",
        type = "device",
        category = "interface",
        battery_powered = false,
        reachable = true,
        armed = false,
        service_notification = false,
        room_id = "",
        security = "no",
        status = "idle",
        device_type_id = "http_manager",
        gateway_id = gateway_id
    }
    return device_id
end

return CreateDevice()
