local _network = require("network")
local _logger = require("logging")

_G.ezlo_protocols = {}
_G.ezlo_protocols.http_last_request_time = os.time()
_G.ezlo_protocols.upd_last_request_time = os.time()
_G.ezlo_protocols.http_data = nil
_G.ezlo_protocols.udp_data = nil
_network.subscribe("HUB:ezlo_protocols/scripts/events/events_handler")

_logger.info("Protocols Plugin starting.")

loadfile("HUB:ezlo_protocols/scripts/device_adder/generate_devices_items")("tcp_manager", "tcp_item_names")
loadfile("HUB:ezlo_protocols/scripts/device_adder/generate_devices_items")("udp_manager", "udp_item_names")
local http_device_id = loadfile("HUB:ezlo_protocols/scripts/device_adder/generate_devices_items")("http_manager", "http_item_names")

local success, errmsg = pcall(loadfile("HUB:ezlo_protocols/scripts/items/http_server_receive"), {
    device_id = http_device_id,
    action = "enable"
})
